Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.protocol.v1
Class ConsultCarmedInterventionRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.mediprima.protocol.v1.ConsultCarmedInterventionRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:50:59+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultCarmedInterventionRequest

extends RequestType
implements Serializable

Java class for ConsultCarmedInterventionRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCarmedInterventionRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="SelectionCriteria" type="{urn:be:fgov:ehealth:mediprima:core:v1}ConsultCarmedDataType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCarmedInterventionRequest()`

Method Summary
`ConsultCarmedDataType` | `getSelectionCriteria()` Gets the value of the selectionCriteria property.
`void` | `setSelectionCriteria(ConsultCarmedDataType value)` Sets the value of the selectionCriteria property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCarmedInterventionRequest

    public ConsultCarmedInterventionRequest()

Method Detail

### getSelectionCriteria

    public ConsultCarmedDataType getSelectionCriteria()

  Gets the value of the selectionCriteria property.

  Returns:
    possible object is `ConsultCarmedDataType`

### setSelectionCriteria

    public void setSelectionCriteria(ConsultCarmedDataType value)

  Sets the value of the selectionCriteria property.

  Parameters:
    `value` - allowed object is `ConsultCarmedDataType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.